Change a member's role
curl --request PATCH \
--url https://posted-api.example.com/api/auth/members/{id} \
--header 'Content-Type: application/json' \
--header 'Origin: <origin>' \
--cookie posted_session= \
--data '{}'import requests
url = "https://posted-api.example.com/api/auth/members/{id}"
payload = {}
headers = {
"cookie": "posted_session=",
"Origin": "<origin>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
cookie: 'posted_session=',
Origin: '<origin>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://posted-api.example.com/api/auth/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/auth/members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_COOKIE => "posted_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Origin: <origin>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/auth/members/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "posted_session=")
req.Header.Add("Origin", "<origin>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://posted-api.example.com/api/auth/members/{id}")
.header("cookie", "posted_session=")
.header("Origin", "<origin>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/auth/members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'posted_session='
request["Origin"] = '<origin>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"member": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"email": "alex@example.test",
"role": "member",
"timeZone": "UTC",
"passkeyEnabled": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Change a member's role
Changes the current role while protecting the last active administrator. A role change revokes that human’s MCP grants.
PATCH
/
api
/
auth
/
members
/
{id}
Change a member's role
curl --request PATCH \
--url https://posted-api.example.com/api/auth/members/{id} \
--header 'Content-Type: application/json' \
--header 'Origin: <origin>' \
--cookie posted_session= \
--data '{}'import requests
url = "https://posted-api.example.com/api/auth/members/{id}"
payload = {}
headers = {
"cookie": "posted_session=",
"Origin": "<origin>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
cookie: 'posted_session=',
Origin: '<origin>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://posted-api.example.com/api/auth/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/auth/members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_COOKIE => "posted_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Origin: <origin>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/auth/members/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "posted_session=")
req.Header.Add("Origin", "<origin>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://posted-api.example.com/api/auth/members/{id}")
.header("cookie", "posted_session=")
.header("Origin", "<origin>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/auth/members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = 'posted_session='
request["Origin"] = '<origin>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"member": {
"id": "66666666-6666-4666-8666-666666666666",
"name": "Alex Morgan",
"email": "alex@example.test",
"role": "member",
"timeZone": "UTC",
"passkeyEnabled": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}A signed-in human administrator is required. API keys and MCP credentials cannot replace that session. Sensitive operations can also require recent authentication.
Changes the current role while protecting the last active administrator. A role change revokes that human’s MCP grants.
Request conventions · API keys · MCP connections
Authorizations
Signed-in human browser session; mutation requests also need the exact UI Origin
Headers
The exact configured Posted UI origin. Required for browser mutations carrying session cookies.
Path Parameters
The id from the corresponding list, record or authorization response.
Body
application/json
Available options:
admin, member, viewer Response
Successful response. Examples are illustrative; field values vary by record.
Show child attributes
Show child attributes
Was this page helpful?
